#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    string x;
    cin >> x;
    int nule = 0;
    int jedinice = 0;
    for(int i = 0; i < x.length(); i++)
    {
        if(x[i] == '0') nule++;
        else jedinice++;
    }
    int jedinicepom = jedinice;
    int brojac = 0;
    int rez = INT_MAX;
    for(int i = 0; i < x.length(); i++)
    {
        if(x[i] == '0')
        {
            brojac++;
        }
        else
        {
            if(jedinicepom > 0) jedinicepom--;
        }
        rez = min(rez, brojac+jedinicepom);
    }
    int rezpom = INT_MAX;
    brojac = 0;
    jedinicepom = jedinice;
    for(int i = x.length() - 1; i >= 0; i--)
    {
        rezpom = min(rezpom, brojac+jedinicepom);
        if(x[i] == '0')
        {
            brojac++;
        }
        else
        {
            if(jedinicepom > 0) jedinicepom--;
        }
    }
    cout << min(rez, rezpom);
}